### Hierarchy

- ChoiceAggregator

## Index

### Methods

- addToContainer
- aggregate
- filter
- querySelectorAll
- toChoiceResults

## Methods

### Static Private addToContainer

- addToContainer(name: string, items: ChoiceResult[], container: any): void

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:43

  #### Parameters

  - ##### name: string

  - ##### items: ChoiceResult[]

  - ##### container: any

  #### Returns void

### Static aggregate

- aggregate(choiceContainers: NodeListOf<Element>): ChoiceAggregationResult

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:26

  Returns an ChoiceAggregationResult containing the permission to be submitted and the attributes.

  #### Parameters

  - ##### choiceContainers: NodeListOf<Element>

  #### Returns ChoiceAggregationResult

### Static Private filter

- filter(container: Element): function

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:70

  Returns a filter that either filters 'unchecked' input elements or not depending on the sieve data attribute

  #### Parameters

  - ##### container: Element

    the choice container element ChoiceContainer

  #### Returns function

  - - (e: Element): boolean

    - #### Parameters

      - ##### e: Element

      #### Returns boolean

### Static Private querySelectorAll

- querySelectorAll(element: Element, selector: string): Element[]

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:82

  Transforms a {@link NodeListOf<Element>} to an array of {@link Element}

  #### Parameters

  - ##### element: Element

  - ##### selector: string

  #### Returns Element[]

### Static Private toChoiceResults

- toChoiceResults(container: Element, selector: string): ChoiceResult[]

- - Defined in lib/renderable/submit/ChoiceAggregator.ts:59

  Transforms items matching the given selector to an array of ChoiceResult and filters based on the sieve data attribute

  see

    {@link ChoiceAggregator#filter}

  #### Parameters

  - ##### container: Element

  - ##### selector: string

  #### Returns ChoiceResult[]

Generated using TypeDoc